summaryrefslogtreecommitdiffstats
path: root/development/gcc5/c99.sh
diff options
context:
space:
mode:
author Matteo Bernardini2020-01-01 04:15:34 +0100
committer Matteo Bernardini2020-01-01 04:15:34 +0100
commit7b5934635d48ae01b924eb12042024b61f21c226 (patch)
tree598bd992cc39bfc71a10d0018119b1435d5ba554 /development/gcc5/c99.sh
parent82bbd880da5d554ddb98a82fcf8c17cc2131d56a (diff)
downloadslackbuilds-current-20200101.1.tar.gz
20200101.1 global branch merge.current-20200101.1
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'development/gcc5/c99.sh')
-rw-r--r--development/gcc5/c99.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/development/gcc5/c99.sh b/development/gcc5/c99.sh
new file mode 100644
index 0000000000..c33636937c
--- /dev/null
+++ b/development/gcc5/c99.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+fl="-std=c99"
+CC=${CC:-"gcc"}
+for opt; do
+ case "$opt" in
+ -std=c99|-std=iso9899:1999) fl="";;
+ -std=*) echo "`basename $0` called with non ISO C99 option $opt" >&2
+ exit 1;;
+ esac
+done
+exec $CC $fl ${1+"$@"}